Trouble-shooting Build Components Home

How To Make It

How to Make it!
1. Put all of your peices together, to find all the components click on Components
2. Make the finger first, by cutting the thin plastic to make three peices that are 3cms long by 5cm wide.
3. Place the three peices of the 3D printed finger and put them into the order they are meant to be in. Then use the hot glue gun to stick the plastic slits into them. To connect them.
4. Get the clear string and thread through all the peices. To check that you have done it right, if you pull the string from the bottom then the whole finger should move. (You see how when you pull it, it moves. Well the motor is going to being pulling it not you!. You can see the mechanics behind it).
5. Tie string to the propeller on the motor.
6. Hot glue the motor onto the wood in the center.
7. hot glue the bottom of the finger to the end of the wood. It should look like.

The coding
The code for the Ardiuno is;
//Include nServo Library
#include (Servo.h) The brackets are actually meant to be < and >
Servo myservo;
void setup() {
//put your setput code here, to run once:
myservo.attach(9);
pinMode(A0, INPUT_PULLUP);
Serial.begin(9600);
} void loop() {
//Variable to store the current angle
int flexSensor=analogRead(A0);
int angle=(flexSensor-380);
Serial.println(angle);
myservo.write(angle);
} for photo:
picture of code

To understand how the code works click here for a video, it is 2 minutes long and you won't regret it!